### Function

# GLib HRFunc

#### Declaration

    gboolean
    (* GHRFunc) (
      gpointer key,
      gpointer value,
      gpointer user_data
    )

#### Description [src]

Specifies the type of the function passed to `g_hash_table_find()`, `g_hash_table_foreach_remove()`, and `g_hash_table_foreach_steal()`.

The function is called with each key/value pair, together with the `user_data` parameter passed to the calling function.

The function should return true if the key/value pair should be selected, meaning it has been found or it should be removed from the `GHashTable`, depending on the calling function.

#### Parameters

`key`

  Type: `gpointer`

  A key.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`value`

  Type: `gpointer`

  The value associated with the key.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data passed to the calling function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

True if the key/value pair should be selected, and false otherwise.